# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'steam/totp/version'

Gem::Specification.new do |spec|
  spec.name          = "steam-totp"
  spec.version       = Steam::Totp::VERSION
  spec.authors       = ["Adrian Romero"]
  spec.email         = ["work@romeroadrian.com.ar"]

  spec.summary       = "Steam TOTP utilities library for Ruby"
  spec.description   = "Generates 2FA auth codes and confirmation keys for Steam services"
  spec.homepage      = "https://github.com/romeroadrian/ruby-steam-totp"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.4"
end
